### Method

# AppStream Component get_date_eol

since: 0.15.2

#### Declaration [src]

    const gchar*
    as_component_get_date_eol (
      AsComponent* cpt
    )

#### Description [src]

Gets the end-of-life date for the entire component.

Available since: 0.15.2

#### Return value

Type: `const gchar*`

The EOL date as string in ISO8601 format.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.